<?php

namespace App\Controllers;

use App\Controllers\BaseController;
use App\LifeCycle\Request;
use App\Response\Template;

class Error404Controller extends BaseController
{
	public function handle(Request $request)
	{
		header(HTTP_RESPONSE_CODE_ERROR_404);
		Template::set('page.title', 'Page not found');
		Template::load('error-404');
	}
}