<?php

namespace App\Controllers;

use App\Controllers\BaseController;
use App\LifeCycle\Request;
use App\Models\Comic;
use App\Response\Template;

class LandingController extends BaseController
{
	public function handle(Request $request)
	{
		Template::set('landing.featured', Comic::featured()->fetchAll());
		Template::set('landing.recent', Comic::recent()->fetchAll());
		Template::loadWithCache('landing');
	}
}