<?php

namespace App\Database;

class MigrationFieldOptions
{
	public static function default($default)
	{
		return "default:$default";
	}

	public static function notNullable()
	{
		return 'null:not null';
	}

	public static function now()
	{
		return 'now:default now()';
	}

	public static function nullable()
	{
		return 'null:null';
	}

	public static function signed()
	{
		return 'signed:signed';
	}

	public static function size($size)
	{
		return "size:$size";
	}

	public static function unsigned()
	{
		return 'signed:unsigned';
	}
}