<?php

namespace App\Models;

use App\Database\CRUD;

class Contact
{
	protected static $table = 'contacts';

	public static function getNextUnsent()
	{
		$table = self::$table;
		$sql = implode("\n", [
			'select id, submitted, user_comments, type, name, email',
			"from $table",
			'where was_sent = 0',
			'order by id limit 1'
		]);
		return dbQuery($sql)->fetchAll();
	}

	public static function insert(array $fields)
	{
		return CRUD::insert(self::$table, $fields);
	}

	public static function markRead($id)
	{
		$table = self::$table;
		$sql = "update $table set was_sent = 1 where id = ?";
		dbQuery($sql, [$id]);
	}
}