<?php

namespace App\Models;

use App\Database\CRUD;

class FailedJob
{
	protected static $table = 'failed_jobs';

	public static function insert($name, $script, $error, $data = null)
	{
		CRUD::insert(self::$table, [
			'failed_on' => date(DATABASE_TIMESTAMP_FORMAT),
			'name' => $name,
			'script' => $script,
			'error' => print_r($error, true),
			'data' => print_r($data, true)
		]);
	}
}