<?php

use App\Database\Migration;
use App\Database\MigrationFields as Fld;
use App\Database\MigrationFieldOptions as FldOpt;
use App\Database\MigrationIndexes as Idx;

class CreateMigrationsTable_1659205634 extends Migration
{
	public function migrate($dbConnection)
	{
		$this->createTable(
			DATABASE_MIGRATIONS_TABLE,
			[
				Fld::autoIncrement('id'),
				Fld::varchar(DATABASE_MIGRATION_DEBUG_NAME),
				Fld::varchar(DATABASE_MIGRATION_TIMESTAMP_FIELD)
			],
			[Idx::primaryKey('id')]
		);
	}
}