<?php

use App\Database\Migration;
use App\Database\MigrationFields as Fld;
use App\Database\MigrationFieldOptions as FldOpt;
use App\Database\MigrationIndexes as Idx;
use App\Models\Comic;

class ComicPaintedTurtle_1659380326 extends Migration
{
	public function migrate($dbConnection)
	{
		Comic::insert(
			[
				'title' => 'Painted Turtle',
				'uri' => 'painted-turtle-2022-07-28',
				'filename' => 'painted-turtle-2022-07-28.jpg',
				'created_on' => '2022-07-28',
				'description' => 'This is a comic based on the saying, “If it looks like a duck, walks like a duck, and quacks like a duck then it is a duck.” But with the colorful North American painted turtle. It is based on when I told someone about the photographs I took of them, including the one I used to make this illustration.',
				'keywords' => 'nature lake pond photography',
				'featured' => 1,
				'active' => 1
			],
			[
				[
					'title' => 'Teespring',
					'url' => 'https://scottknet.creator-spring.com/listing/painted-turtle-2022',
					'active' => 1
				]
			]
			);
	}
}