<?php

use App\Database\Migration;
use App\Database\MigrationFields as Fld;
use App\Database\MigrationFieldOptions as FldOpt;
use App\Database\MigrationIndexes as Idx;
use App\Models\Comic;

class TheImportantElements_1659399304 extends Migration
{
	public function migrate($dbConnection)
	{
		Comic::insert(
			[
				'title' => 'The Important Elements',
				'uri' => 'caffeine-2022-07-21',
				'filename' => 'caffeine-2022-07-21.jpg',
				'created_on' => '2022-07-21',
				'description' => 'A comic for coffee lovers shows the most important elements on the periodic table and the molecular structure of the caffeine molecule.',
				'active' => 1
			],
			[
				[
					'title' => 'Teespring',
					'url' => 'https://scottknet.creator-spring.com/listing/the-important-elements',
					'active' => 1
				]
			]
		);
	}
}