<?php

use App\Database\Migration;
// use App\Database\MigrationFields as Fld;
// use App\Database\MigrationFieldOptions as FldOpt;
// use App\Database\MigrationIndexes as Idx;
use App\Models\Comic;

class GodCommandLine_1659452171 extends Migration
{
	public function migrate($dbConnection)
	{
		Comic::insert(
			[
				'title' => 'God Command Line',
				'uri' => 'god-command-line-2022-07-14',
				'filename' => 'god-command-line-2022-07-14.jpg',
				'created_on' => '2022-07-14',
				'description' => 'A silly comic replacing the commonly used *nix command “ls” with “god” that is perfect for developers/programmers/IT nerds.',
				'keywords' => 'religion christianity judaism unix linux bash',
				'featured' => 0,
				'active' => 1
			],
			[[
				'title' => 'Teespring',
				'url' => 'https://scottknet.creator-spring.com/listing/god-command-line',
				// 'description' => '',
				'weight' => 0,
				'active' => 1
			]]
		);
	}
}