<?php

use App\Database\Migration;
// use App\Database\MigrationFields as Fld;
// use App\Database\MigrationFieldOptions as FldOpt;
// use App\Database\MigrationIndexes as Idx;
use App\Models\Comic;

class GettysburgAddress_1659487074 extends Migration
{
	public function migrate($dbConnection)
	{
		Comic::insert(
			[
				'title' => 'Gettysburg Address',
				'uri' => 'gettysburg-address-2022-07-07',
				'filename' => 'gettysburg-address-2022-07-07.jpg',
				'created_on' => '2022-07-07',
				'description' => 'The Gettysburg Address by President Abraham Lincoln was a dedication of portions of the fields of Gettysburg to bury those that fell in the bloody fighting. This comic attempts to translate Licoln\'s eloquent words into JavaScript.',
				'keywords' => 'web developer programmer civil war pennsylvania history',
				'featured' => 0,
				'active' => 1
			],
			[[
				'title' => 'Teespring',
				'url' => 'https://scottknet.creator-spring.com/listing/get-gettysburg-address',
				// 'description' => '',
				'weight' => 0,
				'active' => 1
			]]
		);
	}
}