<?php

use App\Database\Migration;
// use App\Database\MigrationFields as Fld;
// use App\Database\MigrationFieldOptions as FldOpt;
// use App\Database\MigrationIndexes as Idx;
use App\Models\Comic;

class BenjaminFranklin_1659558714 extends Migration
{
	public function migrate($dbConnection)
	{
		Comic::insert(
			[
				'title' => 'Benjamin Franklin',
				'uri' => 'benjamin-franklin-2022-07-02',
				'filename' => 'benjamin-franklin-2022-07-02.jpg',
				'created_on' => '2022-07-02',
				'description' => 'Benjamin Franklin was a pivotal American hero. One of the Founding Fathers, an accomplished polymath, and creator of institutions such as public libraries and fire departments. There is a famous story about Franklin flying a kite in a storm to prove that lightning was an electrical phenomenon.',
				'keywords' => 'philadelphia science scientist diplomat government declaration independence',
				'featured' => 0,
				'active' => 1
			],
			[[
				'title' => 'Teespring',
				'url' => 'https://scottknet.creator-spring.com/listing/benjamin-franklin-july-2022',
				// 'description' => '',
				'weight' => 0,
				'active' => 1
			]]
		);
	}
}