<?php

use App\Database\Migration;
// use App\Database\MigrationFields as Fld;
// use App\Database\MigrationFieldOptions as FldOpt;
// use App\Database\MigrationIndexes as Idx;
use App\Models\Comic;

class UnifiedFieldParty_1659564849 extends Migration
{
	public function migrate($dbConnection)
	{
		Comic::insert(
			[
				'title' => 'Unified Field Party',
				'uri' => 'unified-field-2014-04-15',
				'filename' => 'unified-field-2014-04-15.jpg',
				'created_on' => '2014-04-15',
				'description' => 'Unified Field Theory is the idea that all of the fundamental forces are related and can be described with the same set of equations. Electromagnetism, the Weak Nuclear force, and the Strong Nuclear force have all been described in this way. Gravity, however, has so far resisted all unifying attempts. This comic has fun with that fact.',
				'keywords' => 'physics relativity quantum mechanics',
				'featured' => 0,
				'active' => 1
			],
			[[
				'title' => 'Teespring',
				'url' => 'https://scottknet.creator-spring.com/listing/unified-field-party',
				// 'description' => '',
				'weight' => 0,
				'active' => 1
			]]
		);
	}
}