<?php

use App\Database\Migration;
// use App\Database\MigrationFields as Fld;
// use App\Database\MigrationFieldOptions as FldOpt;
// use App\Database\MigrationIndexes as Idx;
use App\Models\Comic;

class Mermaids_1659566475 extends Migration
{
	public function migrate($dbConnection)
	{
		Comic::insert(
			[
				'title' => 'Mermaids',
				'uri' => 'mermaids-2022-06-30',
				'filename' => 'mermaids-2022-06-30.jpg',
				'created_on' => '2022-06-30',
				'description' => 'Mermaids are creatures of folklore typically associated with watery disasters. This comic plays with the assumption that the mermaids are really trying to help sailors rather than harm them.',
				'keywords' => 'myth legend ocean oceans',
				'featured' => 0,
				'active' => 1
			],
			[[
				'title' => 'Teespring',
				'url' => 'https://scottknet.creator-spring.com/listing/mermaids-june-2022',
				// 'description' => '',
				'weight' => 0,
				'active' => 1
			]]
		);
	}
}