<?php

use App\Database\Migration;
use App\Database\MigrationFields as Fld;
use App\Database\MigrationFieldOptions as FldOpt;
use App\Database\MigrationIndexes as Idx;

class CreateFailedJobsTable_1659821718 extends Migration
{
	public function migrate($dbConnection)
	{
		$this->createTable('failed_jobs',
		[
			Fld::dateTime('failed_on', [FldOpt::now()]),
			Fld::varchar('name'),
			Fld::varchar('script'),
			Fld::text('error'),
			Fld::text('data')
		],
		[
			Idx::index('failed_on')
		]);
	}
}