<?php

use App\Database\Migration;
// use App\Database\MigrationFields as Fld;
// use App\Database\MigrationFieldOptions as FldOpt;
// use App\Database\MigrationIndexes as Idx;
use App\Models\About;

class AboutTableContent_1660349420 extends Migration
{
	protected function add($name, $url, $description)
	{
		About::insert([
			'name' => $name,
			'url' => $url,
			'description' => $description
		]);
	}

	public function migrate($dbConnection)
	{
		$this->add('Adobe Illustrator', 'https://www.adobe.com/products/illustrator.html', 'Vector illustration tool used to create many of the earlier comics.');
		$this->add('Adobe Photoshop', 'https://www.adobe.com/products/photoshop.html', 'Photo manipulation tool used in the creation of some of the comics.');
		$this->add('CANONICAL ubuntu', 'https://ubuntu.com/', 'Popular version of Debian GNU/Linux used for development, production, and desktops.');
		$this->add('GIMP - GNU Image Manipulation Program', 'https://www.gimp.org/', 'A powerful free and open source raster image tool used to create some of the comics and generate the different sizes.');
		$this->add('git/Git Bash', 'https://git-scm.com/', 'git is a popular, free, and open source distributed version control system. Git Bash is a tool included with the Windows install that supplies a convenient *Nix command line.');
		$this->add('INKSCAPE', 'https://inkscape.org/', 'A free and open source vector graphics tool. I use it to make most new comics and graphics for the site.');
		$this->add('MariaDB/MySQL', 'https://mariadb.org/', 'MariaDB is based on the venerable MySQL code. Both are free and open source, interoperable, and popular databases.');
		$this->add('Microsoft Visual Studio Code', 'https://code.visualstudio.com/', 'A free code editor that is powerful and fast. It is one of the best code editors I have used.');
		$this->add('Mozilla Firefox', 'https://www.mozilla.org/en-US/firefox/', 'A free and open source web browser. I run several browsers at the same time but have Firefox set up for web development.');
		$this->add('php', 'https://www.php.net/', 'A free and open source scripting language.');
		$this->add('Vagrant', 'https://www.vagrantup.com/', 'A tool that helps set up development environments that mirror your production environment.');
		$this->add('Virtualbox', 'https://www.virtualbox.org/', 'A free computer virtualizer allowing running a sandboxed operating system.');
	}
}