<?php

use App\Database\Migration;
// use App\Database\MigrationFields as Fld;
// use App\Database\MigrationFieldOptions as FldOpt;
// use App\Database\MigrationIndexes as Idx;
use App\Models\Comic;

class NerdTiles_1660707433 extends Migration
{
	public function migrate($dbConnection)
	{
		Comic::insert(
			[
				'title' => 'Nerd Tiles',
				'uri' => 'nerd-tiles-2022-08-16',
				'filename' => 'nerd-tiles-2022-08-16.jpg',
				'created_on' => '2022-08-16',
				'description' => 'This comic for the web developers/programmers generates the tiles that spell out four different nerd names: nerd, geek, dork, and dweeb. This could have been made simpler with just HTML and CSS but where is the fun in that. So it also includes JavaScript.',
				'keywords' => 'spelling computer programming board game',
				'featured' => 0,
				'active' => 1
			],
			[[
				'title' => 'Teespring',
				'url' => 'https://scottknet.creator-spring.com/listing/nerd-tiles',
				// 'description' => '',
				'weight' => 0,
				'active' => 1
			]]
		);
	}
}