<?php

require_once('./.server-code-paths.php');
require_once(BASE_CODE_PATH . 'helpers.php');

use App\Database\RunMigrations;

$lastMigration = RunMigrations::getLastMigration();
$pendingMigrations = RunMigrations::getPendingMigrations($lastMigration);
foreach ($pendingMigrations as $migrationFileName)
{
	echo "\nStarting migration for " . $migrationFileName . "\n";
	RunMigrations::runMigration($migrationFileName);
	echo "\nCompleted migration for " . $migrationFileName . "\n";
}