<?php
	use App\Response\Template as T;
	$url = T::get('routes')['comicDetailPage'] . $comic['uri'];
	$title = $comic['title'];
?>
<li data-comic-id="<?php T::echo($comic['id']); ?>">
	<div class="container">
		<a class="thumb-img" href="<?php echo $url; ?>">
			<picture>
				<source srcset="<?php echo T::get('comicFolders')['small'] . $comic['filename']; ?>" media="(min-width: 1024px)">
				<img src="<?php echo T::get('comicFolders')['thumb'] . $comic['filename']; ?>">
			</picture>
		</a>

		<div class="thumb-info">
			<a href="<?php echo $url; ?>">
				<h3><?php T::echo($comic['title']); ?></h3>
				<p><?php T::echo($comic['description']); ?></p>
			</a>
		</div>
	</div>
</li>
