<?php
	use App\Response\Template as T;
	T::load('common/header');
	$contactTypes = T::get('contactTypes');
?>
<section class="content-narrow">
	<h1>Contact</h1>
	<form method="post" action="/contact" data-form="contact">
		<div class="form-row">
			<label class="required" for="type">Type</label>
			<select id="type">
				<?php foreach ($contactTypes as $type): ?>
					<option value="<?php echo $type; ?>"><?php echo $type; ?></option>
				<?php endforeach; ?>
			</select>
		</div>
		<div class="form-row">
			<label class="required" for="comment">Comment</label>
			<textarea id="comment" maxlength="64000" name="comment" required></textarea>
		</div>
		<div class="form-row">
			<label for="name">Name</label>
			<input id="name" maxlength="255" name="name">
		</div>
		<div class="form-row">
			<label for="email">Email</label>
			<input id="email" maxlength="255" name="email" type="email">
		</div>
		<div class="center form-row"><button type="submit">Submit</button></div>
	</form>
</section>

<?php T::load('common/footer'); ?>