<?php
	use App\Response\Template as T;
	T::load('common/header');
?>
<section class="content-narrow">
	<h1>Privacy policy version 1.0</h1>
	<p>This site does not use cookies and does not track users.</p>
	<p>If you make a contact submission the following information is stored:</p>
	<ul>
		<li>Your comments</li>
		<li>The contact type</li>
		<li>OPTIONAL your name</li>
		<li>OPTIONAL your email</li>
		<li>A 1-way hash* of your IP address</li>
		<li>A 1-way hash* of your browser's user agent. This information can be used to determine the capabilities of your browser.</li>
	</ul>
	<p>* Hashes are run through a function that removes the original information. The site uses them to block automated bots. The site uses an SHA256 hash on the data. Example:<br>
	Original User Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:103.0) Gecko/20100101 Firefox/103.0<br>
	Hash of the User Agent: 87dc05ef6ec77321eb48bc2780f7b10f279be5c95193bb3b781497baad319597
	</p>
	<p>Contact submissions are not shared with third parties beyond sending a notification through email to alert us.</p>
	<p><a href="https://developers.google.com/fonts/faq">Google Fonts</a> are used for the header fonts.</p>
	<p>This site links to <a href="https://www.spri.ng/policies/spring-terms-of-service?section=privacy">Teespring</a> for visitors that are interested in viewing merchandise made from the comics.</p>
	<p>The site may add <a href="https://policies.google.com/privacy?gl=US&hl=en">Google Analytics</a> to track traffic.</p>
</section>
<?php T::load('common/footer'); ?>