<?php

namespace App\Controllers;

use App\Controllers\BaseController;
use App\LifeCycle\Request;
use App\Models\About;
use App\Response\Template;

class AboutController extends BaseController
{
	public function handle(Request $request)
	{
		Template::set('about.projects', About::get());
		Template::set('page.title', 'About');
		Template::loadWithCache('about');
	}
}