<?php

namespace App\LifeCycle;

use App\Requests\SafeArray;

class Request
{
	public $get;
	public $post;
	public $route;
	public $server;

	public function __construct(
		SafeArray $route,
		SafeArray $server,
		SafeArray $get,
		SafeArray $post
	)
	{
		$this->get = $get;
		$this->post = $post;
		$this->route = $route;
		$this->server = $server;
	}
}