<?php

namespace App\Requests;

class SafeArray
{
	protected $array = [];

	protected function name($name)
	{
		return strtoupper($name);
	}

	function __construct($target)
	{
		$array = is_object($target)
			? get_object_vars($target)
			: $target;
		foreach ($array as $name => $value)
		{
			$this->array[$this->name($name)] = $value;
		}
	}

	public function all()
	{
		return $this->array;
	}

	function item($name, $default = '')
	{
		$name = $this->name($name);
		return array_key_exists($name, $this->array)
			? $this->array[$name]
			: $default;
	}
}