<?php

namespace App\ValidatedRequests;

use App\LifeCycle\Request;

class ContactSubmissionRequest extends Request
{
	public function validate():bool
	{
		return
			($this->post->item('comment') > '')
			&& ($this->post->item('submissionKey') === config(CONFIG_SECTION_NAME_FORM_SUBMISSION_KEYS)['contactSubmissionKey']);
	}
}