<?php

use App\Database\Migration;
use App\Database\MigrationFields as Fld;
use App\Database\MigrationFieldOptions as FldOpt;
use App\Database\MigrationIndexes as Idx;
use App\Models\Comic;

class ComicThingsThatGoBumpInTheNight_1659315552 extends Migration
{
	public function migrate($dbConnection)
	{
		Comic::insert(
			[
				'title' => 'Things That go Bump in the Night',
				'uri' => 'bump-2022-06-28',
				'filename' => 'bump-2022-06-28-black.jpg',
				'created_on' => '2022-06-28',
				'description' => 'Ever wonder why you hear so much at night - if you can\'t sleep well? This comic offers an answer.',
				'featured' => 1,
				'active' => 1
			],
			[
				[
					'title' => 'Teespring',
					'url' => 'https://scottknet.creator-spring.com/listing/buy-things-that-go-bump-in-the',
					'active' => 1
				]
			]
		);
	}
}