<?php

use App\Database\Migration;
use App\Database\MigrationFields as Fld;
use App\Database\MigrationFieldOptions as FldOpt;
use App\Database\MigrationIndexes as Idx;
use App\Models\Comic;

class ComicEcodejiFibonacciSequence_1659323125 extends Migration
{
	public function migrate($dbConnection)
	{
		Comic::insert(
			[
				'title' => 'Ecodeji - Fibonacci sequence',
				'uri' => 'algorithm-ecodeji-fibonacci-2022-07-28',
				'filename' => 'algorithm-ecodeji-fibonacci-2022-07-28.jpg',
				'created_on' => '2022-07-28',
				'description' => 'This is a silly algorithm using JavaScript to make EMOJI character icons function as JavaScript keywords. It isn\'t a practical way of doing it but it is short enough to print on merchandise for fellow members of the nerd, developer/programmer, and IT communities.',
				'active' => 1
			],
			[
				[
					'title' => 'Teespring',
					'url' => 'https://scottknet.creator-spring.com/listing/ecodeji-fibonacci-sequence',
					'active' => 1
				]
			]
		);
	}
}