<?php

use App\Database\Migration;
use App\Database\MigrationFields as Fld;
use App\Database\MigrationFieldOptions as FldOpt;
use App\Database\MigrationIndexes as Idx;
use App\Models\Comic;

class ComicVetruviusStickMan_1659382025 extends Migration
{
	public function migrate($dbConnection)
	{
		Comic::insert(
			[
				'title' => 'Vetruvius [Stick] Man',
				'uri' => 'vitruvian-man-2022-07-26',
				'filename' => 'vitruvian-man-2022-07-26-final-bg.jpg',
				'created_on' => '2022-07-26',
				'description' => 'A nerdy graphic showing a stick man version of Leonardo Da Vinci\'s famous drawing Vetruvius Man. It also shows the code that generated it.',
				'keywords' => 'web developer programmer code coder Renaissance art artist',
				'active' => 1
			],
			[
				[
					'title' => 'Teespring',
					'url' => 'https://scottknet.creator-spring.com/listing/vetruvius-stick-man',
					'active' => 1
				]
			]
		);
	}
}