<?php

use App\Database\Migration;
use App\Database\MigrationFields as Fld;
use App\Database\MigrationFieldOptions as FldOpt;
use App\Database\MigrationIndexes as Idx;
use App\Models\Comic;

class ComicVector_1659385994 extends Migration
{
	public function migrate($dbConnection)
	{
		Comic::insert(
			[
				'title' => 'VECTOR',
				'uri' => 'vector-2022-07-25',
				'filename' => 'vector-2022-07-25.jpg',
				'created_on' => '2022-07-25',
				'description' => 'A nerdy graphic that shows vector text spelling “VECTOR” and the SVG markup that generates it.',
				'active' => 1
			],
			[
				[
					'title' => 'Teespring',
					'url' => 'https://scottknet.creator-spring.com/listing/vector-2319',
					'active' => 1
				]
			]
		);
	}
}