<?php

use App\Database\Migration;
use App\Database\MigrationFields as Fld;
use App\Database\MigrationFieldOptions as FldOpt;
use App\Database\MigrationIndexes as Idx;
use App\Models\Comic;

class ComicTreeOfKnowledge2022_1659398262 extends Migration
{
	public function migrate($dbConnection)
	{
		Comic::insert(
			[
				'title' => 'Tree of Knowledge 2022',
				'uri' => 'tree-of-knowledge-2022-07-23',
				'filename' => 'tree-of-knowledge-2022-07-23.jpg',
				'created_on' => '2022-07-23',
				'description' => 'The fabled Tree of Knowledge from Genesis bore a fruit Adam and Eve were forbidden from eating. This comic replaces the fruit with unpopular things from our modern world, including lawyers, politicians, charging adapters, software updates, and the like.',
				'active' => 1
			],
			[
				[
					'title' => '',
					'url' => 'https://scottknet.creator-spring.com/listing/tree-of-knowledge-2022',
					'active' => 1
				]
			]
		);
	}
}