<?php

use App\Database\Migration;
// use App\Database\MigrationFields as Fld;
// use App\Database\MigrationFieldOptions as FldOpt;
// use App\Database\MigrationIndexes as Idx;
use App\Models\Comic;

class KeyboardHeatmap_1659452701 extends Migration
{
	public function migrate($dbConnection)
	{
		Comic::insert(
			[
				'title' => 'Keyboard Heatmap',
				'uri' => 'keyboard-heatmap-2022-07-12',
				'filename' => 'keyboard-heatmap-2022-07-12.jpg',
				'created_on' => '2022-07-12',
				'description' => 'A visualization of the frequency of character appearing in over a dozen classic English language novels on a QWERTY keyboard. I wrote a small php program to read the text of the novels (obtained from https://www.gutenberg.org/) to count each character included on the final keyboard and output those in JSON format for JavaScript to read and generate the graphic as HTML. I printed the page as a PDF and imported that into Inkscape.',
				// 'keywords' => '',
				'featured' => 1,
				'active' => 1
			],
			[[
				'title' => 'Teespring',
				'url' => 'https://scottknet.creator-spring.com/listing/keyboard-heatmap',
				// 'description' => '',
				'weight' => 0,
				'active' => 1
			]]
		);
	}
}