<?php

use App\Database\Migration;
// use App\Database\MigrationFields as Fld;
// use App\Database\MigrationFieldOptions as FldOpt;
// use App\Database\MigrationIndexes as Idx;
use App\Models\Comic;

class Desktops_1659484458 extends Migration
{
	public function migrate($dbConnection)
	{
		Comic::insert(
			[
				'title' => 'Desktops',
				'uri' => 'desktops-dev-vs-design-2022-07-09',
				'filename' => 'desktops-dev-vs-design-2022-07-09.jpg',
				'created_on' => '2022-07-09',
				'description' => 'Web developers/programmers and designers need to work closely together if those duties are handled by different people. As a lead web developer I had ample opportunities of seeing the desktops of my fellow developers and the talented designers and how different their minds worked. This comic showcases the disparity in the laptop desktops. I created it with two little JavaScript-powered web pages, one for each desktop, to add emojis as the icons. I took the photos used as the backgrounds.',
				'keywords' => '',
				'featured' => 0,
				'active' => 1
			],
			[[
				'title' => 'Teespring',
				'url' => 'https://scottknet.creator-spring.com/listing/desktops',
				// 'description' => '',
				'weight' => 0,
				'active' => 1
			]]
		);
	}
}