<?php

use App\Database\Migration;
// use App\Database\MigrationFields as Fld;
// use App\Database\MigrationFieldOptions as FldOpt;
// use App\Database\MigrationIndexes as Idx;
use App\Models\Comic;

class PresidencyOfGeorgeWashington_1659557772 extends Migration
{
	public function migrate($dbConnection)
	{
		Comic::insert(
			[
				'title' => 'Presidency of George Washington',
				'uri' => 'george-washington-2022-07-03',
				'filename' => 'george-washington-2022-07-03.jpg',
				'created_on' => '2022-07-03',
				'description' => 'Following the Revolutionary War George Washington planned on returning to his state to be a farmer. Because of his popularity in the new nation he was convinced to run for president. Not being an ideologue he was pressured by his advisers to implement their competing ideologies, namely Thomas Jefferson and Alexander Hamilton.',
				'keywords' => 'america american politics government',
				'featured' => 0,
				'active' => 1
			],
			[[
				'title' => 'Teespring',
				'url' => 'https://scottknet.creator-spring.com/listing/presidency-george-washington',
				// 'description' => '',
				'weight' => 0,
				'active' => 1
			]]
		);
	}
}