<?php

use App\Database\Migration;
use App\Database\MigrationFields as Fld;
use App\Database\MigrationFieldOptions as FldOpt;
use App\Database\MigrationIndexes as Idx;

class CreateAboutContentTable_1660349368 extends Migration
{
	public function migrate($dbConnection)
	{
		$this->createTable('about',
			[
				Fld::varchar('name'),
				Fld::varchar('url'),
				Fld::text('description'),
				Fld::boolean('active', 1)
			],
			[
				Idx::primaryKey('name'),
				Idx::index('active')
			]
		);
	}
}