<?php

use App\Database\Migration;
// use App\Database\MigrationFields as Fld;
// use App\Database\MigrationFieldOptions as FldOpt;
// use App\Database\MigrationIndexes as Idx;
use App\Models\Comic;

class MeanTimeEstimates_1660762350 extends Migration
{
	public function migrate($dbConnection)
	{
		Comic::insert(
			[
				'title' => 'Mean Time Estimates',
				'uri' => 'mean-time-estimate-2022-08-17',
				'filename' => 'mean-time-estimate-2022-08-17.jpg',
				'created_on' => '2022-08-17',
				'description' => 'Time estimates are fiendishly difficult with complex projects and despite the depiction in this comic everyone is trying to do the best for their team and chances are they are all going to be wrong with their estimates. The comic shows the disparity of estimates given the combination of technical understanding of the effort as well as the chances of being yelled at by the client. It is a very arrangement made for comical effect.',
				'keywords' => 'developer programmer project manager sales office work computer computers employees customer',
				'featured' => 0,
				'active' => 1
			],
			[[
				'title' => 'Teespring',
				'url' => 'https://teespring.com/mean-time-estimates',
				// 'description' => '',
				'weight' => 0,
				'active' => 1
			]]
		);
	}
}