<?php

use App\Database\Migration;
// use App\Database\MigrationFields as Fld;
// use App\Database\MigrationFieldOptions as FldOpt;
// use App\Database\MigrationIndexes as Idx;
use App\Models\Comic;

class UserManual_1664233516 extends Migration
{
	public function migrate($dbConnection)
	{
		Comic::insert(
			[
				'title' => 'User Manual',
				'uri' => 'user-manual-2022-09-26',
				'filename' => 'user-manual-2022-09-26.jpg',
				'created_on' => '2022-09-26',
				'description' => 'User manuals, when they are included, are among the most ignored things in the world. This comic is about that fact. It posits that had Germany spread their top secret messages in user manuals rather than using radio transmissions of messages encoded by the Enigma machine they probably would never have been found by the Allies.',
				'keywords' => 'encryption encrypt decode decrypt security computer computers machine machines alan turing axis',
				'featured' => 0,
				'active' => 1
			],
			[[
				'title' => 'Teespring',
				'url' => 'https://scottknet.creator-spring.com/listing/get-user-manual',
				// 'description' => '',
				'weight' => 0,
				'active' => 1
			]]
		);
	}
}