(function () {
	const debounceTime = 100
		HttpResponses = {
			OK: 200
		};

	// breakpoint classes
	(function () {
		let windowResizeTimeout = 0;
		function updateBreakpointClass() {
			let content = window.getComputedStyle(
				document.body, ':after'
			).getPropertyValue('content');
			document.body.className = content.replaceAll(/[^a-z -]/g, '');
		}
		window.addEventListener('resize', function () {
			this.window.clearTimeout(windowResizeTimeout);
			windowResizeTimeout = window.setTimeout(updateBreakpointClass, debounceTime);
		});
		updateBreakpointClass();
	}());

	// comic links
	// (function () {
	// 	let comicsLinksLoading = false;
	// 	let windowResizeTimeout = 0;
	// 	function loadComicsLinks() {
	// 		if (! comicsLinksLoading) {
	// 			if (document.body.className.indexOf('bp-large') !== -1) {
	// 				comicsLinksLoading = true;
	// 				const comics = document.querySelectorAll('[data-comic-id]');
	// 				let ids = [];
	// 				const comicIdLookup = {};
	// 				comics.forEach(function (comic, index) {
	// 					const id = comic.getAttribute('data-comic-id');
	// 					ids.push(id);
	// 					comicIdLookup[id] = index;
	// 				});
	// 				const request = new XMLHttpRequest;
	// 				request.onreadystatechange = function () {
	// 					if (request.readyState === XMLHttpRequest.DONE && request.status === HttpResponses.OK) {
	// 						const links = JSON.parse(request.response);
	// 						links.forEach(function (linkData) {
	// 							const comic = comics[comicIdLookup[linkData.comic_id]];
	// 							const linkWrapper = document.createElement('div');
	// 							const link = document.createElement('a');
	// 							link.className = 'text-large thumb-merch-link';
	// 							link.setAttribute('href', linkData.url);
	// 							link.innerText = linkData.title;
	// 							linkWrapper.appendChild(link);
	// 							comic.querySelector('.thumb-info').appendChild(linkWrapper);
	// 						});
	// 					}
	// 				}
	// 				request.open('post', '/comics-links');
	// 				request.setRequestHeader('Content-Type', 'application/json')
	// 				request.send(JSON.stringify({comics :ids}));
	// 			}
	// 		}
	// 	}
	// 	window.addEventListener('resize', function () {
	// 		this.window.clearTimeout(windowResizeTimeout);
	// 		if (comicsLinksLoading == false) {
	// 			windowResizeTimeout = window.setTimeout(loadComicsLinks, debounceTime);
	// 		}
	// 	});
	// 	loadComicsLinks();
	// }());

	// scroll classes
	(function () {
		let documentScrollTimeout = 0;
		const scrollTarget = document.querySelector('[data-top-container]');
		function updateDocumentScrollClass() {
			if (window.scrollY) {
				scrollTarget.className = 'document-scrolled';
			} else {
				scrollTarget.className = '';
			}
		}
		document.addEventListener('scroll', function () {
			window.clearTimeout(documentScrollTimeout);
			documentScrollTimeout = window.setTimeout(updateDocumentScrollClass, debounceTime);
		});
		updateDocumentScrollClass();
	}());
}());