<?php

require_once('./.server-code-paths.php');
require_once(BASE_CODE_PATH . 'helpers.php');

use App\Controllers\GenerateController;

if ($controllerName = readline('Controller name: '))
{
	$handlers = readline('Handlers (get post): ');
	$handlerArray = ($handlers) ? explode(' ', $handlers) : [''];

	$controllerStub = GenerateController::generate($controllerName, $handlerArray);
	GenerateController::writeController($controllerName, $controllerStub);
	echo "\nController written\n";
}
else
{
	echo "\nName is required. Nothing done.\n";
}