<?php
	use App\Response\Template as T;
	T::load('common/header');
?>
<section>
	<h1>About comics.scottk.net</h1>
	<p>This is about the love of art, computers, ironic humor, religion, and science.</p>
	<p>This is a list of the primary products and projects used to create this site as well as the comics. Note: the projects listed have not endorsed this work.</p>
	<aside class="semantic-list">
		<ul>
			<?php foreach (T::get('about.projects') as $project): ?>
				<li>
					<a href="<?php T::echo($project['url']); ?>"><?php T::echo($project['name']); ?></a>
					<?php T::echo($project['description']); ?>
				</li>
			<?php endforeach; ?>
		</ul>
	</aside>
</section>
<?php T::load('common/footer'); ?>