<?php
	use App\Response\Template as T;
	T::load('common/header');
?>
<article>
	<h1>Comics for fellow nerds</h1>
	<p>Comics about science, math, software development, talking animals, proverbs, history, irony, and general oddities of life. If that peaks your inner nerd read on.</p>
</article>

<section class="section-margin">
	<h2>Featured Comics</h2>
	<nav class="semantic-list">
		<ul class="thumb-list">
			<?php foreach (T::get('landing.featured') as $comic): ?>
				<?php T::load('comics/thumb', ['comic' => $comic]); ?>
			<?php endforeach; ?>
		</ul>
	</nav>
</section>

<section class="section-margin">
	<h2>Recent Comics</h2>
	<nav class="semantic-list">
		<ul class="thumb-list">
			<?php foreach (T::get('landing.recent') as $comic): ?>
				<?php
					$url = T::get('routes')['comicDetailPage'] . $comic['uri'];
					$title = $comic['title'];
				?>
				<?php T::load('comics/thumb', ['comic' => $comic]); ?>
			<?php endforeach; ?>
		</ul>
	</nav>
</section>
<section>
	<nav class="center text-large">
		<a href="<?php echo T::get('routes')['comicListPage'] . '1'; ?>">More comics</a>
	</nav>
</section>

<?php T::load('common/footer'); ?>