<?php
	use App\Response\Template as T;
	T::load('common/header');
	$searchTerm = T::get('searchTerm');
?>

<section>
	<?php if ($searchTerm): ?>
		<h1>Top search results for: <?php T::echo($searchTerm); ?></h1>
		<nav class="semantic-list">
			<ul class="thumb-list">
				<?php foreach (T::get('searchResults') as $comic): ?>
					<?php T::load('comics/thumb', ['comic' => $comic]); ?>
				<?php endforeach; ?>
			</ul>
		</nav>
	<?php else: ?>
		<form method="post" action="/search">
			<input name="search"><button class="button button-submit" type="submit">Search</button>
		</form>
	<?php endif; ?>
</section>
<?php T::load('common/footer'); ?>