<?php
	use App\Response\Template as T;
	T::load('common/header');
?>
<section class="content-narrow">
	<h1>Terms of use version 1.0</h1>
	<section class="section-margin">
		<h2>Definitions</h2>
		<aside class="semantic-list">
			<ul>
				<li><b>Content</b>: the comics displayed on the Site.</li>
				<li><b>Fair Use</b>: <a href="https://www.copyright.gov/fair-use/more-info.html">U.S. Fair Use laws.</a></li>
				<li><b>Site</b>: refers to this web site, its assets, and services that enable it.</li>
				<li><b>User</b>: the person visiting the Site.</li>
				
			</ul>
		</aside>
	</section>

	<section class="section-margin">
		<h2>Terms</h2>
		<p>Creating <b>Content</b> takes a lot of experience, work, and time so please limit your use of the <b>Content</b> to <b>Fair Use</b>.</p>
		<p>If you need information on <b>Fair Use</b> you should check with a qualified lawyer. If you do not have access to one and are not sure about your intended use of the <b>Content</b> please use the Contact form and include your email to reply to.</p>
		<p>If you enjoy the <b>Content</b> and have the means please consider supporting it. Most <b>Content</b> have a link to a <a href="https://scottknet.creator-spring.com/">Teespring</a> listing.</p>
	</section>

	<section>
		<h2>Disputes</h2>
		<p>The <b>Site</b> focuses on jokes meant to appeal primarily but not exclusively to developers/programmers, IT administrators, scientists, engineers, and the like. <b>User</b>s finding offense in the <b>Content</b> have many other sites to visit.</p>
		<p><b>Users</b> believing <b>Content</b> is in violation of their copyright should use the Contact form. Include the following information:</p>
		<ul>
			<li>Type: Copyright concern</li>
			<li>Comment:<br>
				What exactly the believed infringement is, including a link to the <b>Content</b>.<br>
				Why you believe the <b>Content</b> violates U.S. <b>Fair Use</b> laws.<br>
				What your suggested remedy is.
			</li>
			<li>Name: Your name or company name</li>
			<li>Email: A valid email address for additional questions or to report a remedy has been implemented</li>
		</ul>
	</section>
</section>
<?php T::load('common/footer'); ?>